> ## Documentation Index
> Fetch the complete documentation index at: https://api.lensmor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unlock contact phone numbers



## OpenAPI

````yaml /openapi.json post /external/contacts/unlock-phone
openapi: 3.1.0
info:
  title: Lensmor API
  version: 0.22.0
  description: >-
    Lensmor Event Intelligence API for event discovery, exhibitor research,
    personnel lookup, credits, and profile matching.
servers:
  - url: https://platform.lensmor.com
security:
  - bearerAuth: []
tags:
  - name: Credits
  - name: Actions
  - name: Events
  - name: Exhibitors
  - name: Personnel
  - name: Contacts
  - name: Profile Matching
paths:
  /external/contacts/unlock-phone:
    post:
      tags:
        - Contacts
      summary: Unlock contact phone numbers
      operationId: unlockContactPhones
      parameters:
        - $ref: '#/components/parameters/CallSource'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PhoneUnlockRequest'
      responses:
        '201':
          description: Phone unlock task accepted
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactUnlockAccepted'
        '400':
          $ref: '#/components/responses/BadRequest'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '402':
          $ref: '#/components/responses/PaymentRequired'
        '404':
          $ref: '#/components/responses/NotFound'
        '409':
          $ref: '#/components/responses/Conflict'
        '429':
          $ref: '#/components/responses/RateLimited'
components:
  parameters:
    CallSource:
      name: x-call-source
      in: header
      required: false
      schema:
        type: string
        enum:
          - api
          - agent
  schemas:
    PhoneUnlockRequest:
      type: object
      required:
        - personnel_ids
        - event_id
      properties:
        personnel_ids:
          type: array
          minItems: 1
          maxItems: 100
          items:
            type: string
        event_id:
          type: string
          minLength: 1
          maxLength: 100
    ContactUnlockAccepted:
      type: object
      required:
        - status
        - task_id
        - job_id
      properties:
        status:
          type: string
          const: accepted
        task_id:
          type: string
        job_id:
          type: string
    ApiError:
      type: object
      required:
        - code
        - message
        - errorKey
        - traceId
      properties:
        code:
          type: integer
        message:
          type: string
        errorKey:
          type: string
        traceId:
          type: string
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Unauthorized:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    PaymentRequired:
      description: Insufficient credits
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    NotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    Conflict:
      description: Business conflict
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
    RateLimited:
      description: Rate limit exceeded
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: User API key

````